package com.guwan.backend.service.impl;

import com.guwan.backend.service.SmsService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

@Slf4j
@Service
@Primary
public class DummySmsServiceImpl implements SmsService {
    
    @Override
    public void sendVerificationCode(String phone, String code) {
        log.info("模拟发送短信验证码到 {}: {}", phone, code);
    }
    
    @Override
    public void sendNotification(String phone, String content) {
        log.info("模拟发送短信通知到 {}: {}", phone, content);
    }
} 