package com.guwan.backend.security;

import lombok.Getter;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.userdetails.User;

import java.util.Collection;

@Getter
public class CustomUserDetails extends User {
    
    private final Long userId;

    public CustomUserDetails(Long userId, String username, String password,
                           Collection<? extends GrantedAuthority> authorities,
                           boolean enabled) {
        super(username, password, enabled, true, true,
                true, authorities);
        this.userId = userId;
    }
} 